# JRebel plugin demo

Steps to run:
* Build the application: `mvn clean package`
  * webapp `demo-application/target/demo-application-1.0-SNAPSHOT.war`
  * plugin `jrebel-plugin/target/jrebel-plugin.jar`
* Run the application, adding the JVM argument `-Drebel.plugins=/path/to/jrebel-plugin.jar`


Linux example:
```
cd /home/zeroturnaround/plugin-demo
mvn clean package

export MAVEN_OPTS="\
  -agentpath:/home/zeroturnaround/jrebel/libjrebel64.so \
  -Drebel.plugins=/home/zeroturnaround/plugin-demo/jrebel-plugin/target/jrebel-plugin.jar"
mvn jetty:run
```
